Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### ellipse()

Examples

    ellipse(56, 46, 55, 55);

Description | Draws an ellipse (oval) in the display window. An ellipse with an equal width and height is a circle. The first two parameters set the location, the third sets the width, and the fourth sets the height. The origin may be changed with the ellipseMode() function.

Syntax

    ellipse(x, y, width, height)

Parameters

x | int or float: x-coordinate of the ellipse
y | int or float: y-coordinate of the ellipse
width | int or float: width of the ellipse
height | int or float: height of the ellipse

Usage | Web & Application
Related | ellipseMode()

Updated on February 09, 2008 04:38:52pm PST